All of lore.kernel.org
 help / color / mirror / Atom feed
From: Petr Vorel <pvorel@suse.cz>
To: ltp@lists.linux.it
Cc: Petr Vorel <petr.vorel@gmail.com>, NeilBrown <neilb@suse.de>,
	Cyril Hrubis <chrubis@suse.cz>,
	linux-nfs@vger.kernel.org, Jeff Layton <jlayton@kernel.org>,
	OGAWA Hirofumi <hirofumi@mail.parknet.co.jp>,
	Petr Vorel <pvorel@suse.cz>
Subject: [PATCH 1/1] nfs08.sh: Skip on vfat
Date: Tue,  2 May 2023 17:13:48 +0200	[thread overview]
Message-ID: <20230502151348.3677809-1-pvorel@suse.cz> (raw)

From: Petr Vorel <petr.vorel@gmail.com>

vfat does not see '2' on various distros:
* openSUSE Tumbleweed 20230427 (kernel 6.2.12-1-default, nfs-utils 2.6.3,
  mkfs.fat 4.2 (2021-01-31))
* Debian 12 bookworm (kernel 6.1.0-6-amd64, nfs-utils 2.6.2, mkfs.fat 4.2
  (2021-01-31))

NOTE: on it fails completely (on all filesystems) on Debian 11 bullseye
(kernel 5.10.0-8-amd64, nfs-utils 1.3.3, mkfs.fat 4.2 (2021-01-31)) -
likely due 1.3.3, thus skip the test completely.

Signed-off-by: Petr Vorel <pvorel@suse.cz>
---
Hi all,

testing NFS on all filesystems showed this problem.
Problem on older Debian shows it's likely not related to vfat, but to
something in NFS. Any idea what is wrong?

NOTE: this should be merged before upcoming LTP release.

Kind regards,
Petr


 testcases/network/nfs/nfs_stress/nfs08.sh | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

diff --git a/testcases/network/nfs/nfs_stress/nfs08.sh b/testcases/network/nfs/nfs_stress/nfs08.sh
index 759b4e418..e1c152e2d 100755
--- a/testcases/network/nfs/nfs_stress/nfs08.sh
+++ b/testcases/network/nfs/nfs_stress/nfs08.sh
@@ -8,6 +8,23 @@
 # Based on reproducer from Neil Brown <neilb@suse.de>
 
 TST_TESTFUNC="do_test"
+TST_SKIP_FILESYSTEMS="vfat"
+TST_SETUP="do_setup"
+
+do_setup()
+{
+	local util_version
+
+	nfs_setup
+
+	util_version=$(mount.nfs -V | sed 's/.*nfs-utils \([0-9]\)\..*/\1/')
+	if ! tst_is_int "$util_version"; then
+		tst_brk TBROK "Failed to detect mount.nfs major version"
+	fi
+	if [ "$util_version" -lt 2 ]; then
+		tst_brk TCONF "Testing requires nfs-utils > 1"
+	fi
+}
 
 do_test()
 {
-- 
2.40.0


WARNING: multiple messages have this Message-ID (diff)
From: Petr Vorel <pvorel@suse.cz>
To: ltp@lists.linux.it
Cc: linux-nfs@vger.kernel.org, NeilBrown <neilb@suse.de>,
	Jeff Layton <jlayton@kernel.org>,
	OGAWA Hirofumi <hirofumi@mail.parknet.co.jp>
Subject: [LTP] [PATCH 1/1] nfs08.sh: Skip on vfat
Date: Tue,  2 May 2023 17:13:48 +0200	[thread overview]
Message-ID: <20230502151348.3677809-1-pvorel@suse.cz> (raw)

From: Petr Vorel <petr.vorel@gmail.com>

vfat does not see '2' on various distros:
* openSUSE Tumbleweed 20230427 (kernel 6.2.12-1-default, nfs-utils 2.6.3,
  mkfs.fat 4.2 (2021-01-31))
* Debian 12 bookworm (kernel 6.1.0-6-amd64, nfs-utils 2.6.2, mkfs.fat 4.2
  (2021-01-31))

NOTE: on it fails completely (on all filesystems) on Debian 11 bullseye
(kernel 5.10.0-8-amd64, nfs-utils 1.3.3, mkfs.fat 4.2 (2021-01-31)) -
likely due 1.3.3, thus skip the test completely.

Signed-off-by: Petr Vorel <pvorel@suse.cz>
---
Hi all,

testing NFS on all filesystems showed this problem.
Problem on older Debian shows it's likely not related to vfat, but to
something in NFS. Any idea what is wrong?

NOTE: this should be merged before upcoming LTP release.

Kind regards,
Petr


 testcases/network/nfs/nfs_stress/nfs08.sh | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

diff --git a/testcases/network/nfs/nfs_stress/nfs08.sh b/testcases/network/nfs/nfs_stress/nfs08.sh
index 759b4e418..e1c152e2d 100755
--- a/testcases/network/nfs/nfs_stress/nfs08.sh
+++ b/testcases/network/nfs/nfs_stress/nfs08.sh
@@ -8,6 +8,23 @@
 # Based on reproducer from Neil Brown <neilb@suse.de>
 
 TST_TESTFUNC="do_test"
+TST_SKIP_FILESYSTEMS="vfat"
+TST_SETUP="do_setup"
+
+do_setup()
+{
+	local util_version
+
+	nfs_setup
+
+	util_version=$(mount.nfs -V | sed 's/.*nfs-utils \([0-9]\)\..*/\1/')
+	if ! tst_is_int "$util_version"; then
+		tst_brk TBROK "Failed to detect mount.nfs major version"
+	fi
+	if [ "$util_version" -lt 2 ]; then
+		tst_brk TCONF "Testing requires nfs-utils > 1"
+	fi
+}
 
 do_test()
 {
-- 
2.40.0


-- 
Mailing list info: https://lists.linux.it/listinfo/ltp

             reply	other threads:[~2023-05-02 15:13 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-05-02 15:13 Petr Vorel [this message]
2023-05-02 15:13 ` [LTP] [PATCH 1/1] nfs08.sh: Skip on vfat Petr Vorel
2023-05-05 17:45 ` Petr Vorel
2023-05-05 17:45   ` Petr Vorel

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20230502151348.3677809-1-pvorel@suse.cz \
    --to=pvorel@suse.cz \
    --cc=chrubis@suse.cz \
    --cc=hirofumi@mail.parknet.co.jp \
    --cc=jlayton@kernel.org \
    --cc=linux-nfs@vger.kernel.org \
    --cc=ltp@lists.linux.it \
    --cc=neilb@suse.de \
    --cc=petr.vorel@gmail.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.